Splunk Dev

Can I use a non-Oracle java or non-Oracle openJDK with DB_Connect

w199284
Explorer

My security people want me to use an openJDK product from Azul Systems. I get an error when saving the configuration settings

{'jre_need': 'Need Oracle Corporation JRE version 1.8 or OpenSDK 1.8', 'jre_using': 'Using Azul Systems, Inc. JRE version 1.8, OpenJDK 64-Bit Server VM', 'message': 'Unsupported JRE detected'} validate java command: /opt/splunk-nexusJDK/zulu8.44.0.10-sa-jdk8.0.242-linux_x64/jre/bin/java.

Azul suggested this override in JVM options "-XX:+OverrideVMProperties -Djava.vm.vendor="Oracle Corporation" ". That didn't work either. DB_Connect works fine with standard Oracle Java and Oracle's openJDK

Has anyone been successful using an alternative java engine like this? Thanks in advance.

Labels (1)
0 Karma
Get Updates on the Splunk Community!

Splunk Observability Cloud | Unified Identity - Now Available for Existing Splunk ...

Raise your hand if you’ve already forgotten your username or password when logging into an account. (We can’t ...

Index This | How many sides does a circle have?

February 2024 Edition Hayyy Splunk Education Enthusiasts and the Eternally Curious!  We’re back with another ...

Registration for Splunk University is Now Open!

Are you ready for an adventure in learning?   Brace yourselves because Splunk University is back, and it's ...